<?php
$dteDiff  = $dteStart->diff($dteEnd); 
$duree1 = $dteDiff->format("%H%I");
if($duree1<=40) {
	$duree1 = 5;
}
else if($duree1>40&&$duree1<115) {
	$duree1 = 10;
}
else {
	$heu=substr($duree1,1,1);
	$min=substr($duree1,2,2);
	if($heu.$min>($heu-1).'40'&&$heu.$min<$heu.'15') {
		if($min>40) {
			$duree1 = ($heu+1).'0';
		}
		else { $duree1 = $heu.'0'; }
	}
	else {
		if($min>40) {
			$duree1 = ($heu+1).'0';
		}
		else { $duree1 = $heu.'5'; }
	}
}
?>